require_relative "../lib/dt.rb"
require "minitest/autorun"

class TestDT < MiniTest::Unit::TestCase
  def test_array
    assert_equal("<ul><li>a</li><li>b</li></ul>", DT::array_to_list(["a", "b"]))
  end

  def test_hash_array
    hash = {"name" => ["John", "Jim"], "year" => ["1988", "1989"]}
    expect = "<table border=\"1\"><thead><tr><th>name</th><th>year</th></tr></thead><tbody><tr><td>John</td><td>1988</td></tr><tr><td>Jim</td><td>1989</td></tr></tbody>"
    assert_equal(expect, DT::hash_array_to_table(hash))
  end

  def test_array_hash
    array = [{"name" => "John"},{"name" => "Jim"}]
    result = "<table border=\"1\"><thead><tr><th>name</th></tr></thead><tbody><tr><td>John</td></tr><tr><td>Jim</td></tr></tbody>"
    assert_equal(result, DT::array_hash_to_table(array))
  end
end
